package io.accumulatenetwork.sdk.generated.query;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.Marshallable;
import io.accumulatenetwork.sdk.support.Marshaller;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("ResponseMinorBlocks")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseMinorBlocks implements Marshallable {
	private long totalBlocks;
	private ResponseMinorEntry[] entries;

    //
	public long getTotalBlocks() {
	    return totalBlocks;
	}
	public void setTotalBlocks(final long value) {
	    this.totalBlocks = value;
	}

	public ResponseMinorBlocks totalBlocks(final long value) {
	    setTotalBlocks(value);
	    return this;
	}
	public ResponseMinorEntry[] getEntries() {
	    return entries;
	}
	public void setEntries(final ResponseMinorEntry[] value) {
	    this.entries = value;
	}

	public ResponseMinorBlocks entries(final ResponseMinorEntry[] value) {
	    setEntries(value);
	    return this;
	}
    public byte[] marshalBinary() {
        final var marshaller = new Marshaller();
        marshaller.writeUint(1, this.totalBlocks);
        if (!(this.entries == null)) {
            marshaller.writeValue(2, entries);
        }
        return marshaller.array();
    }
}
